LRZ.1(1)

NAME
lrz - gzip compatible command line variant of lrzip

SYNOPSIS
lrz [options] file

DESCRIPTION
lrz is identical to the lrzip application, however, its command line options and behaviour are made to be as compatible with gzip as possible.

OPTIONS

  General options

--stdout
-c  Output to STDOUT.

--check
-C  Check integrity of file written on decompression.

--decompress
-d  Decompress.

--encrypt[=password]
-e  Password protect sha512/aes128 encryption on compression.

--help
-h
-?  Show help.

--hash
-H  Display md5 hash integrity information.

--info
-i  Show compressed file information.

--license
-L  Display software version and license.

--progress
-P  Show compression progress.

--recursive
-r  Operate recursively on directories.

--test
-t  Test compressed file integrity.

--verbose
-v[vv]
    Increase verbosity.

--version
-V  Show version.

  Options affecting output

--force
-f  Force overwrite of any existing files.

--keep
-k  Don't delete source files on de/compression.

--keep-broken
-K  Keep broken or damaged output files.

--outfile  name
-o name
    Specify the output file name and/or path.

--outdir dir
-O dir
    Specify the output directory when -o is not used.

--suffix suffix
-S suffix
    Specify compressed suffix (default '.lrz').

  Options affecting compression

--bzip2
-b  Bzip2 compression.

--gzip
-g  Gzip compression using zlib.

--lzo
-l  Lzo compression (ultra fast).

--lzma
    Lzma compression (default).

--no-compress
-n  No backend compression - prepare for other compressor.

--zpaq
-z  Zpaq compression (best, extreme compression, extremely slow).

  Low level options

-1 .. -9
--level level
-L level
    Set lzma/bzip2/gzip compression level (1-9, default 7).

--fast
    Alias for -1.

--best
    Alias for -9.

--nice-level value
-N value
    Set nice value to value (default 0).

--threads value
-P value
    Set processor count to override number of threads.

--maxram size
-m size
    Set maximum available ram as size * 100 MB. Overrides detected amount of available ram.

--threshold
-T  Disable LZ4 compressibility testing.

--unlimited
-U  Use unlimited window size beyond ramsize (potentially much slower).

--window size
-w size
    Set maximum compression window as size * 100 MB. Default chosen by heuristic dependent on ram and chosen compression.

See also lrzip(1)

ENVIRONMENT
lrz uses the same environment and configuration files as lrzip(1)

FILES
See lrzip(1)

SEE ALSO
lrzip.conf(5), lrzip(1), lrunzip(1), lrztar(1), lrzuntar(1), bzip2(1), gzip(1), lzop(1), rzip(1), zip(1)

AUTHORS
This manual page was written by Con Kolivas <kernel@kolivas.org> (but may be used by others). Released under license GNU GPL version 2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.